import { BearerToken } from "./BearerToken";
import { RestRequestHeaders } from './RestRequestHeaders';
import { RestRequireAuthentication } from './RestRequireAuthentication';
export type AuthorizationHeader = {
    Authorization: BearerToken;
};
export type RestRequestHeadersWithAuthorization<RequestHeaders extends RestRequestHeaders, RequireAuthentication extends RestRequireAuthentication> = RequireAuthentication extends true ? [RequestHeaders] extends [never] ? AuthorizationHeader : RequestHeaders & AuthorizationHeader : RequestHeaders;
